Ingest Metrics
curl --request POST \
--url https://api.primeintellect.ai/api/v1/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run_id": "<string>",
"records": [
{
"_timestamp": 1760300000.1,
"loss": 0.41,
"step": 120
}
],
"producer": ""
}
'import requests
url = "https://api.primeintellect.ai/api/v1/metrics"
payload = {
"run_id": "<string>",
"records": [
{
"_timestamp": 1760300000.1,
"loss": 0.41,
"step": 120
}
],
"producer": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
run_id: '<string>',
records: [{_timestamp: 1760300000.1, loss: 0.41, step: 120}],
producer: ''
})
};
fetch('https://api.primeintellect.ai/api/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'run_id' => '<string>',
'records' => [
[
'_timestamp' => 1760300000.1,
'loss' => 0.41,
'step' => 120
]
],
'producer' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/metrics"
payload := strings.NewReader("{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/metrics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"accepted_points": 123,
"dropped_non_numeric": 0
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}metrics
Ingest Metrics
Log metric records for a run. Retrying the same body is safe.
202 once the upload is validated and queued; its points are readable once the worker has stored them, usually within seconds.
POST
/
api
/
v1
/
metrics
Ingest Metrics
curl --request POST \
--url https://api.primeintellect.ai/api/v1/metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"run_id": "<string>",
"records": [
{
"_timestamp": 1760300000.1,
"loss": 0.41,
"step": 120
}
],
"producer": ""
}
'import requests
url = "https://api.primeintellect.ai/api/v1/metrics"
payload = {
"run_id": "<string>",
"records": [
{
"_timestamp": 1760300000.1,
"loss": 0.41,
"step": 120
}
],
"producer": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
run_id: '<string>',
records: [{_timestamp: 1760300000.1, loss: 0.41, step: 120}],
producer: ''
})
};
fetch('https://api.primeintellect.ai/api/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'run_id' => '<string>',
'records' => [
[
'_timestamp' => 1760300000.1,
'loss' => 0.41,
'step' => 120
]
],
'producer' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/metrics"
payload := strings.NewReader("{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.primeintellect.ai/api/v1/metrics")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"run_id\": \"<string>\",\n \"records\": [\n {\n \"_timestamp\": 1760300000.1,\n \"loss\": 0.41,\n \"step\": 120\n }\n ],\n \"producer\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"accepted_points": 123,
"dropped_non_numeric": 0
}{
"errors": [
{
"param": "<string>",
"details": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?